Skip to main content
Platform O&M/Backup Management/Continuous Data Protection (CDP)/CDP Operations

GetCdpBackupStorageRequirement

GetCdpBackupStorageRequirement

GET/zstack/v1/cdp-backup-storage/{backupStorageUuid}/requirement

Operation ID

GetCdpBackupStorageRequirement

Since

5.1.4

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • backupStorageUuid
    StringRequired

    The backup storage UUID.

Query Parameters

  • limit
    Integer

    Optional.

  • start
    Integer

    Optional.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • required
    MapRequired

    The conditions required.

  • current
    MapRequired

    The current conditions.

  • success
    booleanRequired

    Whether the task is successful.

  • nextStep
    StringRequired

    The next step.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.